<?php
  /*
   Limph Is Monitoring Pingable Hosts
   Copyright (C) 2006 Jonathan Ciesla

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, U
  */
require_once("config.php");

if($disable!=1){

  //Change nothing below this line. . .
  
  $fqdn = gethostbyaddr("127.0.0.1");
  
  $work = explode(".", $fqdn);
  $hostname = $work[0];

  $data = ""; //init data string
  
  //disk space
  
  foreach($partitions as $part){
    $bytes = disk_free_space($part);
    $x = "diskfree" . "|" . $hostname . "|" . $bytes . "|" . $part;
    $data = $data . " " . $x;
  };
  
  //*nix system load
  if($load==1){
    $load = file_get_contents("/proc/loadavg");
    $work = explode(" ", $load);
    $x = "sysload" . "|" . $hostname . "|" . $work[0] . "#" . $work[1] . "#" .$work[2];
    $data = $data . " " . $x;
  };
  
  $key = hash("md5", $secret);
  
  $iv_size = mcrypt_get_iv_size(MCRYPT_XTEA, MCRYPT_MODE_CFB);
  $iv = mcrypt_create_iv($iv_size, MCRYPT_RAND);
  
  $packet = mcrypt_encrypt(MCRYPT_XTEA, $key, $data, MCRYPT_MODE_CFB, $iv);
  
  $target = $limph . "input.php?data=" . urlencode($packet) . "&iv=" . urlencode($iv);
  
  $fh = fopen($target, "r");
  fclose($fh);
  
 };

?>
